View Issue Details

IDProjectCategoryView StatusLast Update
0002063Ham Radio DeluxeBugpublic2017-08-05 18:59
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.652 
Target VersionFixed in Version6.4.0.659 
Summary0002063: Logbook's ADIF import dialog leaks a CImageList object
DescriptionIt's allocated in member data and never destroyed
TagsNo tags attached.
ModuleLogbook
Sub-ModuleGeneral
Testing Beta Successful

Relationships

Activities

K7ZCZ

2017-06-22 10:47

viewer   ~0003263

I've fixed this leak
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3520

K7ZCZ

2017-06-30 21:08

viewer   ~0003442

This stops a memory leak, but isn't realistically a user-visible issue.

WA9PIE

2017-07-04 23:30

administrator   ~0003465

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003500

Waiting to close them until a final item is tested.

WA9PIE

2017-07-05 19:39

administrator   ~0003572

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2017-06-21 18:44 K7ZCZ New Issue
2017-06-21 18:44 K7ZCZ Status new => assigned
2017-06-21 18:44 K7ZCZ Assigned To => K7ZCZ
2017-06-22 10:47 K7ZCZ Note Added: 0003263
2017-06-22 11:05 K7ZCZ Status assigned => resolved
2017-06-22 11:05 K7ZCZ Fixed in Version => 6.4.0.653
2017-06-22 11:05 K7ZCZ Resolution open => fixed
2017-06-25 22:46 WA9PIE Testing => Beta Passed
2017-06-30 21:08 K7ZCZ Status resolved => closed
2017-06-30 21:08 K7ZCZ Note Added: 0003442
2017-07-01 11:28 WA9PIE Status closed => resolved
2017-07-01 11:28 WA9PIE Fixed in Version 6.4.0.653 => 6.4.0.657
2017-07-01 11:28 WA9PIE Target Version => 6.4.0.653
2017-07-01 11:28 WA9PIE Description Updated View Revisions
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003465
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003500
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003572
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful
2017-08-05 18:59 WA9PIE Target Version 6.4.0.653 =>